%define anolis_release 1
Name:       xrdb
Version:    1.2.1
Release:    %{anolis_release}%{?dist}
Summary:    X server resource database utility

License:    MIT
URL:        https://www.x.org
Source0:    https://www.x.org/pub/individual/app/%{name}-%{version}.tar.bz2

BuildRequires:  automake libtool
BuildRequires:  gcc make
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8

Recommends: cpp

Obsoletes:  xorg-x11-server-utils < 7.7

%description
xrdb is used to get or set the contents of the RESOURCE_MANAGER property on
the root window of screen 0, or the SCREEN_RESOURCES property on the
root window of any or all screens, or everything combined.

%package doc
Summary: Doc files for xrdb
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Doc files for xrdb

%prep
%autosetup

%build
autoreconf -v --install
%configure --disable-silent-rules
%make_build

%install
%make_install

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files doc
%doc AUTHORS INSTALL README.md ChangeLog

%changelog
* Tue Oct 25 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.2.1-1
- init from upstream
